package com.goafanti.common.dao;

import java.util.List;

import com.goafanti.common.model.ContractLog;

public interface ContractLogMapper {
    int deleteByPrimaryKey(String id);

    int insert(ContractLog record);

    int insertSelective(ContractLog record);

    ContractLog selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(ContractLog record);

    int updateByPrimaryKey(ContractLog record);

	void insertBatch(List<ContractLog> logs);

	List<ContractLog> selectContractLogByCid(String cid);
}